com.google.protobuf

## Interface DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.DescriptorProto.ReservedRange, DescriptorProtos.DescriptorProto.ReservedRange.Builder
  Enclosing class:
    DescriptorProtos.DescriptorProto

      public static interface DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEnd()` Exclusive.
    `int` | `getStart()` Inclusive.
    `boolean` | `hasEnd()` Exclusive.
    `boolean` | `hasStart()` Inclusive.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasStart

          boolean hasStart()

           Inclusive.

      `optional int32 start = 1;`

    - #### getStart

          int getStart()

           Inclusive.

      `optional int32 start = 1;`

    - #### hasEnd

          boolean hasEnd()

           Exclusive.

      `optional int32 end = 2;`

    - #### getEnd

          int getEnd()

           Exclusive.

      `optional int32 end = 2;`